Why I cannot buld mod_fastcgi?

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Why I cannot buld mod_fastcgi?

Postby __stealth__ » 28. November 2012 11:22

Hi :)
I have last xampp (1.8.1) and xampp-linux-devel-1.8.1.tar.gz too
and I try this:

Code: Select all
wget http://www.fastcgi.com/dist/mod_fastcgi-current.tar.gz
tar xvzf mod_fastcgi-current.tar.gz
mod_fastcgi-2.4.6
cp Makefile.AP2 Makefile
make top_dir=/opr/lampp > ../log 2> ../log2


and got erros

Code: Select all
mod_fastcgi.c: In function 'send_to_pm':
mod_fastcgi.c:175:9: warning: initialization from incompatible pointer type [enabled by default]
mod_fastcgi.c:175:9: warning: passing argument 5 of 'ap_log_error_' makes integer from pointer without a cast [enabled by default]
/opt/lampp/include/http_log.h:372:18: note: expected 'apr_status_t' but argument is of type 'struct server_rec *'
mod_fastcgi.c:236:9: warning: initialization from incompatible pointer type [enabled by default]
mod_fastcgi.c:236:9: error: expected expression before ')' token


and so on..

What wrong?
__stealth__
 
Posts: 1
Joined: 28. November 2012 11:10
XAMPP Version: 5.6.3
Operating System: Linux Mint

Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 3 guests